> For the complete documentation index, see [llms.txt](https://docs.guardianstack.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guardianstack.ai/api-reference/readme.md).

# Guardian Server API

Guardian Server API enables you to get more information about your visitors or about individual detection events.

Server API enables you to get more information about individual detection events (using the [`/events`](https://docs.guardianstack.ai/api-reference/reference/events.md) endpoint). Server API must be used only from the server side; it was never designed to be and must not be used from the client side (i.e. browsers, mobile devices).

Server API requests are not billed and do not count towards your monthly allowance.

The following Server APIs are available:

* [`/request/event/:event_id`](https://docs.guardianstack.ai/api-reference/reference/events.md)
  * GET a detailed payload for a **single** event defined by an `event_id`

#### See Also

* To identify the browsers that visit your web application, see our documentation for [Getting Started](https://docs.guardianstack.ai/documentation/).

### Regions

The server API is available in the **Global**, **EU** and **Asia (Mumbai)** regions:

| Region | Base URL                                         | Server Location |
| ------ | ------------------------------------------------ | --------------- |
| Global | `https://api.guardianstack.ai/request/event/{id` | Global          |

### Server API SDKs

For a smoother developer experience, we offer typed SDKs for these languages:

* [Node SDK](https://www.npmjs.com/package/@mugshotlabs/guardianjs-server)

### &#x20;Trying it out

You can try calling the Server API directly from this reference:

1. You are going to need a Secret API Key. You can create one in your Guardian **Dashboard** > [**API Keys**](https://dashboard.guardianstack.ai/keys).
2. To make a request, you will need a `requestId` of an identification event associated with your workspace. Go to **Dashboard** > [**Identification**](https://dashboard.guardianstack.ai/identification) to see your identification events.
3. Scroll down to one of the endpoints, for example, [Get visits by requestId.](https://docs.guardianstack.ai/api-reference/reference/events.md)
4. Set **Authentication** to your secret API key.
5. Set the **id** path parameter to some `requestId` from your dashboard.
6. Make sure the **Base URL** corresponds to the region.
7. Click **Try it!**

A real API response will appear in the **Response** section. Alternatively, you can view the prepared response examples there.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guardianstack.ai/api-reference/readme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
